Summary: Gnome Spell is GNOME/Bonobo component for spell checking.
Name: gnome-spell
Version: 0.5
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	bonobo-devel
BuildRequires:	control-center-devel
BuildRequires:	freetype2-devel
BuildRequires:	gal-devel
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	libglade-devel
BuildRequires:	libtool-devel
BuildRequires:	libaspell15-devel
BuildRequires:	popt-devel
BuildRequires:	texinfo
Requires: aspell >= 0.50.2

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides spell
checking dictionary (see Spell.idl for exact API definition). It's based
on pspell package.

%prep
%setup -q

%build
%configure

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gnome-spell-properties-capplet" \
 needs="gnome" section="Configuration/GNOME" title="Spell checking" \
 longtitle="Setup spell checking properties" icon="/usr/share/gnome-spell/icons/spell-checker.png"
EOF


%{find_lang} %{name}-%{version}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/*
%{_datadir}/idl/*
%{_datadir}/oaf/*
%{_datadir}/gnome-spell
%{_datadir}/control-center/Documents/*
%{_datadir}/control-center/capplets/*
%{_datadir}/gnome/apps/Settings/Documents/*
%{_menudir}/*

%changelog
* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- Recompiled against aspell 0.50.3

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- Remove patch0 (no longer needed)
- Fix build to work with aspell 0.50

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-3mdk
- Automated rebuild with gcc3.2

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1

* Wed Jan 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Rebuilt against latest libgal (grr, really remove old dependency)

* Wed Jan 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Recompiled against latest gal

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Recompiled against latest gal
- Fix BuildRequires

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4
- Remove patches 0 & 1 (merged upstream)
- Patch0: fix crash when english dictionnary is not installed

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-8mdk
- BuildRequires: libxml-devel
- Remove redundant BuildRequires

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-7mdk
- Patch1: fix compilation (link with gnomeui)

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-6mdk
- Add explicit dependency on aspell too (since pspell is only a wrapper)

* Sun Jul 29 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-5mdk
- modify BuildRequires
- fix description

* Fri May 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-4mdk
- Rebuild it with the latest and shiniest ever libltdl.so.3.
- s/Copyright/License/;

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-3mdk
- rebuild with new libpspell

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package

# end of file
